﻿namespace COWS.Entities.Enums
{
    public enum Tasks
    {
        Start = 0,
        End = 1,
        GOMPreSubmitReady = 100,
        GOMError = 101,
        GOMReview = 102,
        GOMPL = 103,
        GOMSubmitReady = 105,
        GOMCCDReady = 106,
        GOMCCDPL = 107,
        GOMCancelReady = 108,
        GOMMissingBillingOrders = 109,
        GOMInitiateBillingOrder = 110,
        GOMNCCOErrorNotification = 111,
        GOMIPLIPASR = 112,
        xNCIOrderValidatedDate = 200,
        xNCIOrderSenttoVendorDate = 201,
        xNCIOrderAcknowledgedbyVendorDate = 202,
        xNCITargetDeliveryDate = 203,
        xNCITargetDeliveryDateReceivedDate = 204,
        xNCIAccessDeliveryDate = 205,
        xNCIAccessAcceptedDate = 206,
        xNCIBillClearInstallDate = 207,
        xNCIHold = 208,
        xNCIRelease = 209,
        xNCIReady = 210,
        xNCICCDReady = 211,
        xNCICnclReady = 212,
        xNCICloseDate = 213,
        xNCIVendorConfirmDisconnectDate = 214,
        xNCIDisconnectCompletedDate = 215,
        xNCIConfirmedRenewalDate = 216,
        xNCIACRInitiatedbySalesSupport = 217,
        xNCIACRResponseRecieved = 218,

        //xNCIMilestonesComplete = 220,
        xNCIOrderInstallDate = 221,

        //Domestic BroadBand  DBB
        DBBOrderValidatedDate = 650,

        DBBOrderSenttoVendorDate = 651,
        DBBOrderAcknowledgedbyVendorDate = 652,
        DBBTargetDeliveryDate = 653,
        DBBTargetDeliveryDateReceivedDate = 654,
        DBBAccessDeliveryDate = 655,
        DBBAccessAcceptedDate = 656,
        DBBBillClearInstallDate = 657,
        DBBHold = 658,
        DBBRelease = 659,
        DBBReady = 660,
        DBBCCDReady = 660,
        DBBCnclReady = 661,
        DBBCloseDate = 662,
        DBBVendorConfirmDisconnectDate = 663,
        DBBDisconnectCompletedDate = 664,
        DBBConfirmedRenewalDate = 665,
        DBBACRInitiatedbySalesSupport = 666,

        DBBACRResponseRecieved = 668,

        DBBMilestonesComplete = 669,
        DBBOrderInstallDate = 670,

        NewOrderReview = 300,
        Review = 301,
        SmartMaintenance = 400,
        SSRTSPending = 500,
        EquipReview = 600,
        MatlReq = 601,
        EquipReceipt = 602,
        CPETechAssign = 604,
        BillActivationReady = 1000,
        BillActivated = 1001
    }
}